SDL_bwindow.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bwindow.h:

Go to the source code of this file.

## Functions

int | BE_CreateWindow (_THIS, SDL_Window *window)
int | BE_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | BE_SetWindowTitle (_THIS, SDL_Window *window)
void | BE_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | BE_SetWindowPosition (_THIS, SDL_Window *window)
void | BE_SetWindowSize (_THIS, SDL_Window *window)
void | BE_ShowWindow (_THIS, SDL_Window *window)
void | BE_HideWindow (_THIS, SDL_Window *window)
void | BE_RaiseWindow (_THIS, SDL_Window *window)
void | BE_MaximizeWindow (_THIS, SDL_Window *window)
void | BE_MinimizeWindow (_THIS, SDL_Window *window)
void | BE_RestoreWindow (_THIS, SDL_Window *window)
void | BE_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | BE_SetWindowResizable (_THIS, SDL_Window *window, SDL_bool resizable)
void | BE_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | BE_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
int | BE_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
void | BE_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | BE_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | BE_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)

## Function Documentation

## BE_CreateWindow()

int BE_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_CreateWindowFrom()

int BE_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## BE_DestroyWindow()

void BE_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_GetWindowGammaRamp()

int BE_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

## BE_GetWindowWMInfo()

SDL_bool BE_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## BE_HideWindow()

void BE_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_MaximizeWindow()

void BE_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_MinimizeWindow()

void BE_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_RaiseWindow()

void BE_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_RestoreWindow()

void BE_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_SetWindowBordered()

void BE_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## BE_SetWindowFullscreen()

void BE_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## BE_SetWindowGammaRamp()

int BE_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

## BE_SetWindowGrab()

void BE_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## BE_SetWindowIcon()

void BE_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## BE_SetWindowPosition()

void BE_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_SetWindowResizable()

void BE_SetWindowResizable | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | resizable
| ) |  |

## BE_SetWindowSize()

void BE_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_SetWindowTitle()

void BE_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## BE_ShowWindow()

void BE_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |